
#version 100

precision mediump float; 

attribute vec3 Vertex; 

uniform mat4 mWVP;
uniform mat4 mW;
uniform vec3 color1;
uniform vec3 color2;

varying vec4 color;

void main(void)
{
	vec3 vNormal=normalize(Vertex);	
	
	float f_=0.5*(dot(vNormal,vec3(0.0,1.0,0.0))+1.0);
	color=vec4(mix(color1,color2,f_),1.0);
	gl_Position = mWVP*vec4(Vertex,1.0);	
}

