
#version 100

precision highp float; 

attribute vec3 Vertex; 
attribute vec3 Normal; 
attribute vec3 TexUV; 

uniform mat4 mWVP;
uniform mat4 mW;
uniform mat4 mVP;

uniform float fSizeFac;
uniform vec3 vColor;

uniform vec3 vEyePos;
varying vec3 vViewDir;

varying vec3 vC;
varying vec3 vNormal;

uniform float additiveThickness;

void main(void)
{
	vC=vColor;
	
	vec3 vPos=(mW*vec4(Vertex,0.0)).xyz;
	
	float fdis=length(vPos+mW[3].xyz-vEyePos);
	
	float f_=length(vPos);
	vPos*=max(0.0,(f_+additiveThickness*fdis)/f_);
	
	vPos+=mW[3].xyz;
	
	vViewDir=normalize(vPos-vEyePos);
	
	vNormal= normalize((mW*vec4(Normal,0.0)).xyz);
	
	gl_Position = mVP*vec4(vPos,1.0);	
	
	//gl_Position = mWVP*vec4(Vertex,1.0);	
}

