
#version 100

precision mediump float; 

varying vec3 vC;
varying vec3 vNormal;

varying vec3 vViewDir;

void main(void)	{

	vec3 vNormal_n=normalize(vNormal);
	vec3 vViewDir_n=normalize(vViewDir);
	
	vec3 vLightDir=vec3(0.0,0.0,1.0);
	float fdot1=dot(vNormal,vLightDir);
	vLightDir-=2.0*fdot1*vNormal_n;
	
	float flightspec=abs(dot(vLightDir,vViewDir_n));
	flightspec*=flightspec;
	flightspec*=flightspec;
	flightspec*=flightspec;
	
	float flight=0.5*(1.0+abs(fdot1));
	
	float fdot2=abs(dot(vViewDir_n,vNormal));
	fdot2=1.0-fdot2;
	fdot2*=fdot2;
	fdot2*=fdot2;
	
	gl_FragColor = vec4(vC.xyz+fdot2*vec3(1.0),1.0);
}
