
#version 100

precision mediump float; 

varying vec4 vColor;
varying vec3 vNormal;

varying vec3 vViewDir;

void main(void)	{

	vec3 vNormal_n=normalize(vNormal);
	vec3 vViewDir_n=normalize(vViewDir);
	
	vec3 vLightDir=vec3(0.0,0.0,1.0);
	float fdot1=dot(vNormal,vLightDir);
	vLightDir-=2.0*fdot1*vNormal_n;
	
	float flight=0.5*(1.0+abs(fdot1));
	float flightspec=abs(dot(vLightDir,vViewDir_n));
	flightspec*=flightspec;
	flightspec*=flightspec;
	flightspec*=flightspec;
	//flightspec*=flightspec;
	
	float fdot2=abs(dot(vViewDir_n,vNormal_n));
	fdot2=1.0-fdot2;
	fdot2*=fdot2;
	fdot2*=fdot2;
	//float fdot2_2=fdot2*fdot2;
	float flight2=fdot2;
	//fdot2*=fdot2;
		
	//float flight2=2.5*fdot2*(1.0-fdot2_2);

	gl_FragColor = vec4(max(flight,0.0)*vColor.xyz+(flight2+0.5*flightspec)*vec3(1.0),1.0);
}
