
#version 100

precision highp float; 

attribute vec2 Vertex; 
attribute vec3 Pos; 
attribute vec3 V1; 
attribute vec3 V2; 
attribute float thickness; 
attribute vec4 VertexColor;

uniform mat4 mWVP;

uniform float additiveThickness;

uniform vec3 vEyePos;

void main(void)
{
	highp vec3 vN=Vertex.x*V1+Vertex.y*V2;
	
	float fdis=length(vEyePos-Pos);
	
	highp vec3 vP=Pos+min(thickness*4.0,thickness+additiveThickness*fdis)*vN;
	
	gl_Position = mWVP*vec4(vP,1.0);	
}

