
#version 100

precision mediump float; 

varying vec4 vColor;
varying vec3 vNormal;

varying vec3 vViewDir;

void main(void)	{

	vec3 vNormal_n=normalize(vNormal);
	vec3 vViewDir_n=normalize(vViewDir);
	
	float fdot2=dot(vNormal_n,vViewDir_n);
	
	vec3 vLightDir=vec3(0.0,0.0,1.0);
	float fdot1=dot(vNormal,vLightDir);
	vLightDir-=2.0*fdot1*vNormal_n;
	
	float flightspec=abs(dot(vLightDir,vViewDir_n));
	flightspec*=flightspec;
	flightspec*=flightspec;
	flightspec*=flightspec;
	
	float flight=(0.75+0.25*abs(fdot1));
	
	gl_FragColor = vec4(vColor.xyz,1.0);
}
