
#version 100

precision mediump float; 

attribute highp vec3 Vertex; 
attribute highp vec3 Normal; 
attribute vec3 TexUV; 

uniform highp mat4 mWVP;
uniform highp mat4 mW;
uniform mat4 mVP;

uniform float fSizeFac;
uniform vec3 vColor;

uniform highp vec3 vEyePos;
varying vec3 vViewDir;

varying vec3 vC;
varying vec3 vNormal;

uniform float additiveThickness;

void main(void)
{
	vC=vColor;
	
	vec3 vPos=(mW*vec4(Vertex,1.0)).xyz;
	
	vViewDir=normalize(vPos-vEyePos);
	
	vNormal= normalize((mW*vec4(Normal,0.0)).xyz);
	
	gl_Position = mWVP*vec4(Vertex,1.0);	
}

